(function(window) {
	window.HOST = 'http://www.boododo.com/api/app_wq.php?key=47bce5c74f589f4867dbd57e9ca9f801';
	window.APP = 'http://www.boododo.com/api/app_wq.php';
	window.APP2 = 'http://www.boododo.com/api/app/index.php';
	window.OPEN = 'http://www.boododo.com/api/open.php';
	window.KEY = '47bce5c74f589f4867dbd57e9ca9f801';
	window.GETINDEX = 'http://www.boododo.com/api/app_wq.php?key=47bce5c74f589f4867dbd57e9ca9f801';
	window.USER = HOST + '/user';
	window.INDEX = HOST + '&act=index';
	window.LIKES = HOST + '&act=likes&p=';
	window.LOGIN = HOST + '&act=login';
	var action = {};

	//v2.2.0 ---分页查询
	action.loadData = function(cat_id, page, callback) {
		var info = {
			c : 'home',
			a : 'get_list',
			cat_id : cat_id,
			p : page,
			key : window.KEY
		};
		action.doPost2(info, callback);
	}

	action.saveZizhi = function(select, callback) {
		var info = {
			act : 'save_zizhi',
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			com_name : select.com_name,
			taxer_no : select.taxer_no,
			reg_addr : select.reg_addr,
			reg_tel : select.reg_tel,
			open_blank : select.open_blank,
			blank_account : select.blank_account,
		};
		app.listen(info.act + '-finish', function(data) {
			if ( typeof callback == 'function')
				callback(data.value);
			//回调请求数据
		});
		//进行ajax请求操作
		action.post(window.APP, info, function(data) {
			app.sendEvent(info.act + '-finish', data);
			//发送数据事件
		});
	}
	//条目点击事件
	action.tap = function(select, callback) {
		$(select).tap(callback);
	}
	//获取首页的所有数据
	action.index = function(callback) {
		var info = {
			act : 'index'
		};
		action.doPost(info, callback);
	}
	//获取首页的所有数据---第二版
	action.index2 = function(callback) {
		var info = {
			key : window.KEY,
			c : 'home',
			a : 'index'
		};
		//action.doGet(info, callback);
		action.doPost2(info, callback);
	}
	action.zizhi = function(callback) {
		var info = {
			act : 'zizhi',
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
		};
		app.listen(info.act + '-finish', function(data) {
			if ( typeof callback == 'function')
				callback(data.value);
			//回调请求数据
		})
		//进行ajax请求操作
		action.post(window.APP, info, function(data) {
			//			if (data.code == 1) {
			//				app.sendEvent(info.act + '-finish', data.res);
			//				//发送数据事件
			//			} else {
			//				api.openWin({
			//					name : 'login-head',
			//					url : '../../html/base/login-head.html'
			//				});
			//				app.toast("登录失效，重新登录");
			//			}
			app.sendEvent(info.act + '-finish', data.res);
			//发送数据事件
		});
	}
	//获取猜你喜欢的分页数据
	action.likes = function(p, callback) {
		if (app.isNetworkConnect()) {
			app.listen('likes_finish', function(data) {
				if ( typeof callback == 'function')
					callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.get(window.LIKES + p, null, function(data) {
				if (data.code == 1) {
					app.sendEvent('likes_finish', data.res);
					//发送数据事件
				} else {
					app.toast("请求出错了");
				}
			});
		}
	}
	//用户登录请求
	action.login = function(userinfo, callback) {
		var mobile = userinfo.mobile || '';
		var password = userinfo.password || '';
		if (!mobile || !password) {
			callback('用户名或者密码不能为空');
			return;
		}
		//弹出等待框
		api.showProgress({
			title : "正在登陆",
			text : "请稍后...",
			modal : true
		});
		userinfo.act = 'login';
		//进行ajax请求操作
		action.post(window.HOST, userinfo, function(data) {
			api.hideProgress();
			if (data.code == 0) {
				callback(data.msg);
			} else {//登录成功
				$api.setStorage("userName", mobile);
				$api.setStorage("password", password);
				$api.setStorage("usermoney", 0);
				$api.setStorage("token", data.res.token);
				api.sendEvent({
					name : 'changelogin',
					extra : {
						userName : mobile,
						password : password,
						usermoney : 0
					}
				});
				api.closeWin();
			}
		});
	}
	//获取订单数据
	action.orders = function(callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'orders'
		};
		action.doPost(info, callback);
	};
	//获取订单分页数据
	action.orderalls = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'orderalls',
			p : p
		};
		action.doAction(info, callback);
	};
	//获取订单详情
	action.orderDetail = function(order_id, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'orderDetail',
			order_id : order_id
		};
		action.doPost(info, callback);
	};
	//取消订单
	action.cancelOrder = function(id, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'cancelOrder',
			order_id : id
		};
		action.doAction(info, callback);
	}
	//确认订单
	action.sureOrder = function(id, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'sureOrder',
			order_id : id
		};
		action.doAction(info, callback);
	}
	//获取待付款订单所有数据
	action.wpay = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'wpay',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);

	}
	//获取待收货订单所有数据
	action.wsure = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'wsure',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	//获取待评价订单所有数据
	action.wcomment = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'wcomment',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	//获取退换货订单所有数据
	action.reback = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'reback',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	/**
	 * 根据传递进来的信息执行数据请求   带数据加载的
	 * @param {Object} info  请求的参数数据
	 * @param {Object} callback  执行的回调函数
	 */
	action.doPost = function(info, callback) {
		app.init(info.act);
		//app请求初始化
		if (app.isNetworkConnect()) {
			app.listen(info.act + '-finish', function(data) {
				api.hideProgress();
				if ( typeof callback == 'function')
					api.hideProgress();
				callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.post(window.APP, info, function(data) {
				if (data.code == 1) {
					app.sendEvent(info.act + '-finish', data.res);
					//发送数据事件
				} else {
					app.toast(data.msg);
				}
			});
		} else {
			api.hideProgress();
		}
	}
	/**
	 * 根据传递进来的信息执行数据请求   带数据加载的
	 * @param {Object} info  请求的参数数据
	 * @param {Object} callback  执行的回调函数
	 */
	action.doPost2 = function(info, callback) {
		//		app.init(info.act);
		//app请求初始化
		if (app.isNetworkConnect()) {
			app.listen(info.a + '-finish', function(data) {
				api.hideProgress();
				if ( typeof callback == 'function')
					api.hideProgress();
				callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.post(window.APP2, info, function(data) {
				if (data.code == 1) {
					app.sendEvent(info.a + '-finish', data.content);
					//发送数据事件
				} else {
					app.toast(data.msg);
				}
			});
		} else {
			api.hideProgress();
		}
	}
	/**
	 * 根据传递进来的信息执行数据请求   不带数据加载的
	 * @param {Object} info
	 * @param {Object} callback
	 */
	action.doAction = function(info, callback) {
		if (app.isNetworkConnect()) {
			app.listen(info.act + '-finish', function(data) {
				if ( typeof callback == 'function')
					api.hideProgress();
				callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.post(window.APP, info, function(data) {
				api.hideProgress();
				if (data.code == 1) {
					app.sendEvent(info.act + '-finish', data.res);
					//发送数据事件
				} else {
					app.toast(data.msg);
				}
			});
		} else {
			app.toast('请求出错');
			api.hideProgress();
		}
	}
	/**
	 * 根据传递进来的信息执行数据请求   不带数据加载的
	 * @param {Object} info
	 * @param {Object} callback
	 */
	action.doGet = function(info, callback) {
		if (app.isNetworkConnect()) {
			app.listen(info.act + '-finish', function(data) {
				api.hideProgress();
				if ( typeof callback == 'function')
					api.hideProgress();
				callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.get(window.GETINDEX, function(data) {
				api.hideProgress();
				if (data.code == 1) {

					app.sendEvent(info.act + '-finish', data.res);
					//发送数据事件
				} else {
					app.toast(data.msg);
				}
			});
		} else {
			api.hideProgress();
		}
	}
	//发送post请求
	action.post = function(url, data, callback) {
		var info = data || {};
		info.key = window.KEY;
		api.ajax({
			url : url,
			method : 'post',
			data : {
				values : info
			}
		}, function(ret, err) {
			if (ret) {
				callback(ret);
			} else {
				app.toast("访问出错了");
				api.hideProgress();
			}
		});
	}
	//发送get请求
	action.get = function(url, callback) {
		$api.get(url, function(ret) {
			callback(ret);
		}, "json");

	}
	//根据健来获取值
	action.key = function(name) {
		return api.pageParam['' + name + ''];
	}
	window.action = action;
})(window);
