/**
 * openWin,openFrame,enent---name   格式  ： p.name
 * 参数 ：  values
 * url : url 
 * rect : rect 
 * msg : msg 
 * update : 2016 - 6 - 29
 * Util
 */
(function(window){
	window.data={};
	var A = {
		openWin : function(p){
			var a =p.values||{};
			var param = {
				name : A.getName(p.name),
				url : p.name,
				paramData : a
			};
			A.openW(param);
		},
		getName : function(p){
			return p.substring(p.lastIndexOf("/")+1,p.lastIndexOf("."));
		},
		openFrame : function(p){
			var a=p.values||{}
			var params = {
				name : A.getName(p.name),
				url : p.name,
				rect : p.rect,
				pageParam :a
			};
			A.openF(params);
		},
		openW : function(p){
			window.data.name = p.name;
			window.data.url = p.url;
			window.data.pageParam = p.paramData;
			api.openWin(window.data);
		},
		openF : function(p){
			window.data.name = p.name;
			window.data.url = p.url;
			window.data.rect = p.rect;
			window.data.pageParam = p.paramData;
			api.openFrame(window.data);
		},
		toast : function(p){
			api.toast({
				msg : p,
				duration : 2000,
				location : 'bottom'
			});
		},
		isNetworkConnect : function(){
			var type= api.connectionType;
			if('none'==type){
				toast('网络连接失败');
				return false; 
			}
			return true;
		},
		showProgress : function(){
			api.showProgress({
			    style: 'default',
			    animationType: 'fade',
			    title: '努力加载中...',
			    text: '先喝杯茶...',
			    modal: false
			});
		},
		alert : function(p){
			alert(JSON.stringify(p));
		},
		sendEvent : function(p){
			var extra = p.extra||{};
			api.sendEvent({
				name : p.name,
				extra : extra
			});
		},
		addListen : function(p,c){
			api.addEventListener({
		        name : p.name
	        },function(r,e){
	        	c(r.value);
	        });
		},
		post : function(p,c){
			if(A.isNetworkConnect()){
				A.ajax(p,function(d){
					c(d);
				});
			}
		},
		ajax : function(p,c){
			A.showProgress();
			api.ajax({
				url : p.url,
				method : 'post',
				timeout : 30,
				dataType : 'json',
				returnAll : false,
				data : {
					values : p.values
				}
			}, function(r, e) {
				api.hideProgress();
				if(r){
					c(r.status);
				}else{
					app.toast("访问出错");
				}
			});
		}
	};

	window.common=A;
})(window);