(function(window) {
	//	window.HOST='http://188.188.188.175/api/app_lyx.php?key=47bce5c74f589f4867dbd57e9ca9f801';
	window.APPNEW = 'http://www.boododo.com/api/app_lyx2.php';
	window.APP = 'http://www.boododo.com/api/app_lyx.php';
	window.KEY = '47bce5c74f589f4867dbd57e9ca9f801';
	var action = {};
	//条目点击事件
	action.tap = function(select, callback) {
		$(select).tap(callback);
	}
	//获取我的试用首页所有数据
	action.alls = function(p, type, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'alls',
			p : p
		};
		if (type == 'jiazai') {
			action.doAction(info, callback);
		} else {
			action.doPost(info, callback);
		}
		//进行ajax请求操作

	}
	//获取我的试用未审核数据
	action.waiting = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'waiting',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	//获取我的试用未通过数据
	action.nook = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'nook',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	//获取我的试用已通过数据
	action.ok = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'ok',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	//获取我的试用已完成数据
	action.finished = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'finished',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	//获取我的试用已取消数据
	action.cancel = function(p, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'cancel',
			p : p
		};
		//进行ajax请求操作
		action.doAction(info, callback);
	}
	//我的试用放弃试用
	action.ctry = function(id, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			act : 'cancelShiyong',
			order_id : id
		};
		//进行ajax请求操作
		action.oldAction(info, callback);
	}
	//检查商品是否已经试用
	action.check_try = function(id, callback) {
		var info = {
			mobile : $api.getStorage("userName"),
			token : $api.getStorage("token"),
			goods_id : id,
			act : 'check_try'
		};
		//进行ajax请求操作
		action.oldAction(info, callback);
	}
	/**
	 * 根据传递进来的信息执行数据请求   不带数据加载的
	 * @param {Object} info
	 * @param {Object} callback
	 */
	action.doAction = function(info, callback) {
		if (app.isNetworkConnect()) {
			app.listen(info.act + '-finish', function(data) {
				if ( typeof callback == 'function')
					api.hideProgress();
				callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.post(window.APPNEW, info, function(data) {
				api.hideProgress();
				if (data.code == 1) {
					app.sendEvent(info.act + '-finish', data.res);
					//发送数据事件
				} else {
					app.toast(data.msg);
				}
			});
		} else {
			app.toast('请求出错');
		}
	}
	/**
	 * 根据传递进来的信息执行数据请求   带数据加载的
	 * @param {Object} info  请求的参数数据
	 * @param {Object} callback  执行的回调函数
	 */
	action.doPost = function(info, callback) {
		app.init(info.act);
		//app请求初始化
		if (app.isNetworkConnect()) {
			app.listen(info.act + '-finish', function(data) {
				api.hideProgress();
				if ( typeof callback == 'function')
					api.hideProgress();
				callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.post(window.APPNEW, info, function(data) {
				api.hideProgress();
				if (data.code == 1) {
					app.sendEvent(info.act + '-finish', data.res);
					//发送数据事件
				} else {
					app.toast(data.msg);
				}
			});
		} else {
			api.hideProgress();
			app.toast('请求出错');
		}
	}
	/**
	 * 根据传递进来的信息执行数据请求   不带数据加载的
	 * @param {Object} info
	 * @param {Object} callback
	 */
	action.oldAction = function(info, callback) {
		if (app.isNetworkConnect()) {
			app.listen(info.act + '-finish', function(data) {
				if ( typeof callback == 'function')
					api.hideProgress();
				callback(data.value);
				//回调请求数据
			})
			//进行ajax请求操作
			action.post(window.APP, info, function(data) {
				api.hideProgress();
				if (data.code == 1) {
					app.sendEvent(info.act + '-finish', data.res);
					//发送数据事件
				} else {
					app.toast(data.msg);
				}
			});
		} else {
			app.toast('请求出错');
		}
	}
	//发送post请求
	action.post = function(url, data, callback) {
		var info = data || {};
		info.key = window.KEY;
		api.ajax({
			url : url,
			method : 'post',
			data : {
				values : info
			}
		}, function(ret, err) {
			if (ret) {
				callback(ret);
			} else {
				app.toast("访问出错了");
			}
		});
	}
	window.action = action;
})(window); 